## fonts-gargi 2.0

=== Makefile ===
VERSION = 2.0
ARCHIVE = Gargi-${VERSION}
CURDIR := $(shell pwd)

TMP := $(shell mktemp -d Gargi.XXX)

default:
	./generate.pe *.sfd
clean:
	rm -rf *.ttf
sdist:
	mkdir -p ${TMP}/${ARCHIVE}
	cp *.sfd COPYING *.txt Makefile generate.pe ${TMP}/${ARCHIVE}
	tar -cvJf ${ARCHIVE}.src.tar.xz -C ${TMP}/${ARCHIVE} .
	rm -rf ${TMP}

bdist: default
	mkdir -p ${TMP}/${ARCHIVE}
	cp *.ttf COPYING *.txt ${TMP}/${ARCHIVE}
	tar -cvJf ${ARCHIVE}.tar.xz -C ${TMP}/${ARCHIVE} .
	rm -rf ${TMP}

distclean: clean
	rm -rf *.xz

=== debian/changelog ===
fonts-gargi (2.0-3) unstable; urgency=medium

  * Fix typo in the description field.
    Closes: bug#736590, Thanks to Pascal De Vuyst.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 25 Jan 2014 19:17:26 +0530

fonts-gargi (2.0-2) unstable; urgency=low

  * Bump compat level to 9.
  * Regenerated control file after bumping compat level to 9, now depends
    on debhelper (>= 9).
  * Fixed spelling mistake in long description.
    Closes: bug#730284, Thanks to Pascal De Vuyst.
  * Bump Standards-Version to 3.9.5, no change was done to package.
  * Use canonical URL anonscm.d.o in Vcs-Git field.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 14 Dec 2013 19:57:17 +0530

fonts-gargi (2.0-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Team upload.
  * Separating from fonts-deva-extra (Closes: #692875)

 -- Kartik Mistry <kartik@debian.org>  Mon, 10 Jun 2013 19:35:19 +0530

=== debian/control ===
Source: fonts-gargi
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: cdbs,
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 fontforge
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/unicode-devanagiri-font/
Vcs-Git: git://anonscm.debian.org/debian-in/fonts-gargi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-gargi.git

Package: fonts-gargi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: fonts-deva-extra
Description: OpenType Devanagari font
 This package provides Gargi font for Devanagari script which is
 used as script for multiple languages such as Hindi, Kashmiri,
 Konkani, Maithili, Marathi normally spoken in various states
 in Indian subcontinent.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk

include /usr/share/cdbs/1/class/makefile.mk

pkgname = fonts-gargi

DEB_UPSTREAM_PACKAGE = Gargi
DEB_UPSTREAM_TARBALL_BASENAME = ${DEB_UPSTREAM_PACKAGE}-${DEB_UPSTREAM_VERSION}.src
DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
DEB_UPSTREAM_URL = http://sourceforge.net/projects/indlinux/files/Fonts
DEB_UPSTREAM_TARBALL_MD5 = c694cd82affa27b6a838d96e4da80a11

# fontforge build dependency
CDBS_BUILD_DEPENDS += fontforge

# Install tweaks
DEB_DH_INSTALL_ARGS_$(pkgname) = ${DEB_UPSTREAM_PACKAGE}.ttf /usr/share/fonts/truetype/${DEB_UPSTREAM_PACKAGE}/

=== debian/watch ===
version = 3
http://sf.net/indlinux/Gargi-(\d[\d.]+)\.src.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
